Package org.apache.avro

# Class SchemaBuilder.NamedBuilder<S extends SchemaBuilder.NamedBuilder<S>>

java.lang.Object
org.apache.avro.SchemaBuilder.PropBuilder<S>
org.apache.avro.SchemaBuilder.NamedBuilder<S>

Direct Known Subclasses:
  `SchemaBuilder.FieldBuilder`, `SchemaBuilder.NamespacedBuilder`

Enclosing class:
  `SchemaBuilder`

public abstract static class SchemaBuilder.NamedBuilder<S extends SchemaBuilder.NamedBuilder<S>> extends SchemaBuilder.PropBuilder<S>
An abstract type that provides builder methods for configuring the name, doc, and aliases of all Avro types that have names (fields, Fixed, Record, and Enum).

All Avro named types and fields have 'doc', 'aliases', and 'name' components. 'name' is required, and provided to this builder. 'doc' and 'aliases' are optional.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`NamedBuilder(org.apache.avro.SchemaBuilder.NameContext names, String name)`

## Method Summary

Modifier and Type
Method
Description
`final S`
`aliases(String... aliases)`
configure this type's optional name aliases
`final S`
`doc(String doc)`
configure this type's optional documentation string

### Methods inherited from class org.apache.avro.SchemaBuilder.PropBuilder

`prop, prop, self`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NamedBuilder

protected NamedBuilder(org.apache.avro.SchemaBuilder.NameContext names, String name)

## Method Details

### doc

public final S doc(String doc)
configure this type's optional documentation string

### aliases

public final S aliases(String... aliases)
configure this type's optional name aliases